/************************
 * NouveauWidget.h		*
 * PETITJEAN Maxime		*
 * 09/04/2006			*
 ************************/
#ifndef NEWWIDGET_H
#define NEWWIDGET_H

#include <QString>
#include <QPushButton>
#include <QLineEdit>
#include <QVBoxLayout>
#include <QWidget>
#include <QApplication>
#include <QMessageBox>
#include <QRect>
#include <QProgressBar>
#include <QSpacerItem>

#include "grille.h"
#include "GrilleSudoku.h"

class NouveauWidget : public QWidget
{
      Q_OBJECT
public:
    NouveauWidget(QWidget *parent = 0);

public slots:
	void slotNew();
	void slotSave();
	void slotOpen();
	void slotTester();

private:
	GrilleSudoku *gr;
    QPushButton *b_new, *b_open, *b_save, *b_ok, *b_tester;
    QVBoxLayout *menu_boutons;
    QHBoxLayout *layout;

};
#endif
