/********************************************************************************************************
 * PROGRAM      : sudoku-qt
 * DATE - TIME  : dimanche 12 fvrier 2006 - 16h26
 * AUTHOR       : PETITJEAN Maxime
 * FILENAME     : optionwidget.h
 * LICENSE      :
 * COMMENTARY   :
 ********************************************************************************************************/
#ifndef OPTIONWIDGET_H
#define OPTIONWIDGET_H

#include <QString>
/************************
 * OptionWidget.h		*
 * PETITJEAN Maxime		*
 * 09/04/2006			*
 ************************/
#include <QPushButton>
#include <QLineEdit>
#include <QVBoxLayout>
#include <QDialog>
#include <QApplication>
#include <QMessageBox>
#include <QRect>
#include <QProgressBar>
#include <QSpacerItem>

class OptionWidget : public QDialog
{
      Q_OBJECT
public:
    OptionWidget(QWidget *parent = 0){}
    OptionWidget(QColor* gColor, QColor* rColor, QColor* aColor, QColor* nColor);
    QColor* getGenererColor();
    QColor* getResoluColor();
    QColor* getAideColor();
    QColor* getNormalColor();

public slots:
	void genererColorDialog();
	void resoluColorDialog();
	void aideColorDialog();
	void normalColorDialog();
	void slotOK();
	void slotAnnuler();

private:
    QPushButton *b_ok, *b_annuler;
    QPushButton *b_genererColor, *b_resoluColor, *b_aideColor, *b_normalColor;
	QColor *genererColorSave, *resoluColorSave, *aideColorSave, *normalColorSave;
	QColor *genererColor, *resoluColor, *aideColor, *normalColor;
	QLabel *label;

    QHBoxLayout *menu_boutons;
    QVBoxLayout *layout, *option_layout;

};
#endif
