/************************
 * grille.h				*
 * PETITJEAN Maxime		*
 * 09/04/2006			*
 ************************/
#ifndef GRILLE_H
#define GRILLE_H
class grille
{
private:
	int m[9][9];
	int m_resultat[9][9];
	int cases_poss[9][9][9];
public:
	grille();
	void ligne(int* liste, int i);
	void colonne(int* liste, int j);
	void zone(int* liste, int i,int j);
	bool nEstPasDans(int* liste,int n);
	bool nombrePossible(int* liste, int i, int j);
	int nbCasesVides();
	void remp_m(char *);
	int getM(int i,int j);
	void setM(int nb, int i,int j);
	int getM_Resultat(int i,int j);
	bool set_m(char *);
	void remp_cases_poss();
	void affiche_cases_poss(int, int);
	bool resoudre_cases_directes();
	void resoudre_recursivement(int,int,bool&);
	int nb_solutions(int , int );
	int nb_solutions_generation(int , int, bool& );
	void generer_sudoku(); //ne fonctionne pas
	void generer_sudoku2(); //ne fonctionne pas
	void generer_sudoku3();
	void generer_sudoku4();
	void copie_resultat_to_m();
	void save_resultat();
};
#endif
